## -*- coding: utf-8 -*-
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from Products.Archetypes.Registry import registerWidget
from Products.Archetypes.Widget import StringWidget
from AccessControl import ClassSecurityInfo


class ColorWidget(StringWidget):
    _properties = StringWidget._properties.copy()
    _properties.update({
        'macro' : "colorpicker",
        'helper_js': ('picker.js',),
        'size' : '7',
        'maxlength' : '7',
        })

    security = ClassSecurityInfo()
    
registerWidget(ColorWidget,
               title='String',
               description=('Renders a HTML text input box which '
                            'accepts a webcolor attribute'),
               used_for=('Products.Archetypes.Field.StringField',)
               )
               
