## -*- coding: utf-8 -*-
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from Products.CMFCore import CMFCorePermissions

iCalendarActions = (
    {
        'id'          : 'view',
        'name'        : 'View',
        'action'      : 'string:${object_url}/PloneiCalendar_view_by_day',
        'permissions' : (CMFCorePermissions.View,),
        'category'    : 'object',
    },
    {
        'id'          : 'edit',
        'name'        : 'Edit',
        'action'      : 'string:${object_url}/base_edit',
        'permissions' : (CMFCorePermissions.ModifyPortalContent,),
        'category'    : 'object',
    },
    {
        'id'          : 'metadata',
        'name'        : 'Properties',
        'action'      : 'string:${object_url}/base_metadata',
        'permissions' : (CMFCorePermissions.ModifyPortalContent,),
        'category'    : 'object',
    },
    {
        'id'          : 'links',
        'name'        : 'Links',
        'action'      : 'string:${object_url}/PloneiCalendar_view',
        'permissions' : (CMFCorePermissions.ModifyPortalContent,),
        'category'    : 'object',
    },   
    {
        'id'          : 'local_roles',
        'name'        : 'Sharing',
        'action'      : 'string:${object_url}/PloneiCalendar_localroleForm',
        'permissions' : (CMFCorePermissions.ModifyPortalContent,),
    },
)

